io_uring_get_probe_ring(3)

NAME
io_uring_get_probe_ring - get probe information from an existing ring

SYNOPSIS
#include <liburing.h>

struct io_uring_probe *io_uring_get_probe_ring(struct io_uring *ring);

DESCRIPTION

The io_uring_get_probe_ring(3) function returns probe information for the io_uring instance specified by ring. This allows the application to determine which opcodes are supported by the kernel.

The returned probe structure and must be freed by the application using io_uring_free_probe(3) when no longer needed.

This function is similar to io_uring_get_probe(3), except it uses an existing ring instead of creating a temporary one.

RETURN VALUE
Returns a pointer to an allocated struct io_uring_probe on success, or NULL on failure.

SEE ALSO
io_uring_get_probe(3), io_uring_free_probe(3), io_uring_opcode_supported(3), io_uring_register_probe(3)